Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
DownloadsII Details »
DownloadsII
Mod Version: 5.1.2, by RS_Jelle (Coder) RS_Jelle is offline
Developer Last Online: May 2016 I like it Show Printable Version Email this Page

vB Version: 3.8.x Rating: (208 votes - 4.80 average) Installs: 2110
Released: 02 Jul 2006 Last Update: 25 Apr 2010 Downloads: 16086
Not Supported DB Changes Uses Plugins Auto-Template Additional Files  

There's a vB4 version of this mod available: http://www.vbulletin.org/forum/showthread.php?t=231427

DownloadsII

DownloadsII is a download database that integrates into vBulletin. It allows you to upload files, add images to them, create categories, link to external files - and more. It is very flexible and has many options.

Because a lot of people keep on asking this:
This mod works with any version of vBulletin 3.7.x and 3.8.x!

It's also coded 100% XHTML 1.0 Transitional valid, just like vBulletin itself.



Instructions & Support

You can find an installation manual in the zip package (Readme-Install.txt).

We try to answer most questions asked in this thread. Please don't send any pm's if we don't ask for them, as we said we try to give a high level of support in this thread. Don't forget to click the install link, so you will receive important update notifications.

Screenshots & Live demo

At the bottom of this post, you can find 6 screenshots of the front-end and back-end (AdminCP part) of the DownloadsII software. You can see the newest version in action at the Minatica.be Downloads (Dutch).

Changelog (version 5.1.2)

Jelle
  • Backported CSRF security fix from the vB 4 release
  • Added permission check for Update Counters
  • Fixed PHP warnings when running PHP 5.3
  • Removed the imagecreatefrombmp() function. It doesn't exist.
  • Added permission check for rating submissions
You can find all the changelogs of this and older versions here.

Help!!! I can't upload large files??

This is probably the second most asked question. Have a look at this post for the solution.

It doesn't work with GARS?!

If you also use the latest version of GARS, you will get the "Fields marked in RED must be filled in!" error when uploading a file. I provided a fix here on the GARS forums.

Addons

We are offering 3 addons for this mod at the moment (have a look at the bottom of this post for them). DownloadsII contains 5 hook locations for the vBulletin plugin systems, so you can add extra functionality without file edits.

Do you want to help expanding DownloadsII (if you are a coder)? Check out this post!

Notes
  • ecDownloads Buddy is NOT compatible with this version. If you are using the Buddy, you should UNINSTALL it before installing DownloadsII ver 5.x.x. The Buddy's features are now integrated into DownloadsII.
  • DownloadsII is a direct derivative work from Ron1n's ecDownloads.

Download Now

Only licensed members can download files, Click Here for more information.

Addons

Supporters / CoAuthors

Screenshots

Click image for larger version

Name:	ecDownloadsII-5.0.1-add-file.gif
Views:	14227
Size:	97.8 KB
ID:	51206   Click image for larger version

Name:	ecDownloadsII-5.0.1-admin-edit-category.gif
Views:	9190
Size:	18.7 KB
ID:	51207   Click image for larger version

Name:	ecDownloadsII-5.0.1-admin-navigation.gif
Views:	5182
Size:	4.6 KB
ID:	51208   Click image for larger version

Name:	ecDownloadsII-5.0.1-category.gif
Views:	18868
Size:	86.8 KB
ID:	51209  

Click image for larger version

Name:	ecDownloadsII-5.0.1-file.gif
Views:	30730
Size:	108.2 KB
ID:	51210   Click image for larger version

Name:	ecDownloadsII-5.0.1-main.gif
Views:	14765
Size:	64.3 KB
ID:	51211  

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
Add-On Releases DownloadsII ver 5.0 vbAdvanced Add-On CyberRanger vBulletin 3.6 Add-ons 159 01 Jul 2011 18:15

  #4111  
Old 14 Mar 2010, 11:11
weedheaven weedheaven is offline
 
Join Date: Jan 2007
When i try to upload a file(3.8.5) I get now the message that a security token is missing. Any idea how to solve this. Already thanks
Reply With Quote
  #4112  
Old 14 Mar 2010, 18:05
Black Tiger's Avatar
Black Tiger Black Tiger is offline
 
Join Date: Apr 2004
You should try and use the "search this Mod" search option, it was asked a few times already.

But oke, the problem is in most cases that the file you try to upload is too big compared to the server (php.ini) settings.
__________________
Greetings, Black Tiger
Reply With Quote
  #4113  
Old 21 Mar 2010, 15:53
Kadi Kadi is offline
 
Join Date: Sep 2006
Thanks for this mod!!!

I have a question.

- I can't seem to find the word "Downloads:" (that appears on the table below each file) to translate it.


Thanks.

Last edited by Kadi; 21 Mar 2010 at 16:30.
Reply With Quote
  #4114  
Old 22 Mar 2010, 00:38
Panzer Max's Avatar
Panzer Max Panzer Max is offline
 
Join Date: May 2006
Real name: Pam
Since we moved to a new server, we lost the ability to add a thumbnail image to downloads. It worked fine before we moved, so it could be a php issue. I searched this thread and found this guy had the problem but solved it (he did not explain how, thanks)
http://www.vbulletin.org/forum/showp...postcount=3939

When we try to add a thumbnail, we get
Fatal error: Call to undefined function imagecreatefromjpeg() in /home/panzer/public_html/forum/downloads.php on line 838

We are also seeing a problem with the vB Albums, when we add a new picture, no thumbnail. The old pics all have thumbnails.
Reply With Quote
  #4115  
Old 22 Mar 2010, 08:23
RS_Jelle's Avatar
RS_Jelle RS_Jelle is offline
 
Join Date: Jul 2005
Originally Posted by Kadi View Post
Thanks for this mod!!!

I have a question.

- I can't seem to find the word "Downloads:" (that appears on the table below each file) to translate it.


Thanks.
It's the ecdownloads_downloads phrase (in the GLOBAL phrase type).

Originally Posted by Panzer Max View Post
Since we moved to a new server, we lost the ability to add a thumbnail image to downloads. It worked fine before we moved, so it could be a php issue. I searched this thread and found this guy had the problem but solved it (he did not explain how, thanks)
http://www.vbulletin.org/forum/showp...postcount=3939

When we try to add a thumbnail, we get
Fatal error: Call to undefined function imagecreatefromjpeg() in /home/panzer/public_html/forum/downloads.php on line 838

We are also seeing a problem with the vB Albums, when we add a new picture, no thumbnail. The old pics all have thumbnails.
Have you got PHP's GD library installed? Check your PHP Info (AdminCP -> Maintenance) The imagecreatefromjpeg() function is part of it.
http://www.php.net/imagecreatefromjpeg
__________________
Now released: DownloadsII 6.0.9 (for vB 4.x) and 5.1.2 (for vB 3.7.x and 3.8.x)
Minatica.be - Belgian/Dutch computer and technology site
Reply With Quote
  #4116  
Old 22 Mar 2010, 15:52
Panzer Max's Avatar
Panzer Max Panzer Max is offline
 
Join Date: May 2006
Real name: Pam
Originally Posted by RS_Jelle View Post
It's the ecdownloads_downloads phrase (in the GLOBAL phrase type).



Have you got PHP's GD library installed? Check your PHP Info (AdminCP -> Maintenance) The imagecreatefromjpeg() function is part of it.
http://www.php.net/imagecreatefromjpeg
Excellent suggestion, I think that could be the problem. I checked the php info through the vB Maint/View php info and did not find any mention of imagecreatefromjpeg

Is the GD library tricky to add, Jelle?

thanks for your help and the great mod, it is the mainstay of our system.
Reply With Quote
  #4117  
Old 22 Mar 2010, 19:29
RS_Jelle's Avatar
RS_Jelle RS_Jelle is offline
 
Join Date: Jul 2005
Originally Posted by Panzer Max View Post
Excellent suggestion, I think that could be the problem. I checked the php info through the vB Maint/View php info and did not find any mention of imagecreatefromjpeg

Is the GD library tricky to add, Jelle?

thanks for your help and the great mod, it is the mainstay of our system.
It's not that difficult, but you need shell access for this.

Btw, you won't find the imagecreatefromjpeg function at the PHP info page. You need to look for a gd subtitle with parameters like "GD Support" and "GD Version" (and in your case also "JPG Support", which could be separately disabled, but that would be a really strange gd configuration).
__________________
Now released: DownloadsII 6.0.9 (for vB 4.x) and 5.1.2 (for vB 3.7.x and 3.8.x)
Minatica.be - Belgian/Dutch computer and technology site
Reply With Quote
  #4118  
Old 22 Mar 2010, 20:26
golfing123 golfing123 is offline
 
Join Date: Aug 2009
Hey everyone

Everytime i am done trying to upload something on this downloader hack

this error message comes up

The file(s) uploaded were too large to process.

so how can i fix it then
Reply With Quote
  #4119  
Old 22 Mar 2010, 21:42
Speysider's Avatar
Speysider Speysider is offline
 
Join Date: Apr 2009
You tell me Bryan.
It's obvious from the error what's wrong.

But of course, you make a support request, then don't bother to reply to the thread. Or, you don't click Install to get support.
__________________
vBulletin is down the drain. IB ruined it by attacking XenForo.
I am a MyBB and XF modder only.

Last edited by Speysider; 22 Mar 2010 at 21:52.
Reply With Quote
  #4120  
Old 22 Mar 2010, 22:21
Panzer Max's Avatar
Panzer Max Panzer Max is offline
 
Join Date: May 2006
Real name: Pam
Originally Posted by RS_Jelle View Post
It's not that difficult, but you need shell access for this.

Btw, you won't find the imagecreatefromjpeg function at the PHP info page. You need to look for a gd subtitle with parameters like "GD Support" and "GD Version" (and in your case also "JPG Support", which could be separately disabled, but that would be a really strange gd configuration).

Thanks, Jelle, I have full shell access, what do I do? Or where should I start?

The php info does not have GD anything in it.






Originally Posted by golfing123 View Post
Everytime i am done trying to upload something on this downloader hack this error message comes up The file(s) uploaded were too large to process. so how can i fix it then
Search here http://www.vbulletin.org/forum/showt...en#post1952774
Reply With Quote
  #4121  
Old 22 Mar 2010, 23:10
Black Tiger's Avatar
Black Tiger Black Tiger is offline
 
Join Date: Apr 2004
Thanks, Jelle, I have full shell access, what do I do? Or where should I start?
That's easy. First check which OS your server is running.
If it's a RedHat or Centos, the following command will be enough, executed as root:
yum install gd

If you are running Debian or Ubuntu, check your php version with php -v first. If you are running php5 you can use:
apt-get install php5-gd

Good luck!
__________________
Greetings, Black Tiger
Reply With Quote
  #4122  
Old 22 Mar 2010, 23:23
Panzer Max's Avatar
Panzer Max Panzer Max is offline
 
Join Date: May 2006
Real name: Pam
Thanks, Tiger, I am running Cent OS 5, so it's as simple as ssh-ing in as root and
yum install gd

http://mattiasgeniar.be/2008/09/17/i...hp5-on-centos/


EDIT: Not sure that worked... I got this.
[email protected] [~]# yum install php-gd
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* addons: mirrors.netdna.com
* base: mirror.raystedman.net
* extras: mirrors.tummy.com
* updates: mirrors.netdna.com
addons | 951 B 00:00
base | 2.1 kB 00:00
extras | 2.1 kB 00:00
updates | 1.9 kB 00:00
Excluding Packages in global exclude list
Finished
Setting up Install Process
No package php-gd available.
Nothing to do
[email protected] [~]#


Maybe I need to update it?
for Red Hat Enterprise Linux or CentOS:
up2date php-gd

Then do:
service httpd restart

Source:
http://www.boutell.com/gd/faq.html

Last edited by Panzer Max; 22 Mar 2010 at 23:29.
Reply With Quote
  #4123  
Old 22 Mar 2010, 23:55
Black Tiger's Avatar
Black Tiger Black Tiger is offline
 
Join Date: Apr 2004
Thanks, Tiger, I am running Cent OS 5, so it's as simple as ssh-ing in as root and
yum install gd
Yes it is. So don't do a "yum install php-gd" because Centos won't understand this.
In Centos 5 it's just as I said.

yum install gd
or
yum install php-gd

nothing more. You can do a service httpd restart after that or /etc/rc.d/init.d/httpd restart but normally that is not even necessary.

Maybe I need to update it?
for Red Hat Enterprise Linux or CentOS:
up2date php-gd
This is not correct for Centos. The up2date php-gd is for RedHat. And Centos is Redhat based, but Centos does not work with up2date but with yum, so just do what I said and you will be fine.

Trust me, I've got my own hosting firm so I know how Centos is working.

I just see this:
Excluding Packages in global exclude list
Check your yum.conf for which packages are excluded, because it can be that php* is excluded.

If you have a control panel like DirectAdmin or Cpanel, you can better not do it via yum.
On Cpanel you can use easyapache.
__________________
Greetings, Black Tiger

Last edited by Black Tiger; 22 Mar 2010 at 23:58. Reason: Added last lines
Reply With Quote
  #4124  
Old 23 Mar 2010, 03:07
Panzer Max's Avatar
Panzer Max Panzer Max is offline
 
Join Date: May 2006
Real name: Pam
Ah, that's over my head
Reply With Quote
  #4125  
Old 23 Mar 2010, 03:24
Black Tiger's Avatar
Black Tiger Black Tiger is offline
 
Join Date: Apr 2004
It's easyer then you think. Just answer the questions to yourself and take the appropriate action:

1.) Are you using a control panel on your server. On most servers this can be either Cpanel, Directadmin or Plesk. Others are also possible, but not that much used as these 3.
a.) if the answer is yes, you probably don't want to use the yum install command, so goto b.)
If the answer is no, goto 2.)
b.) If you are using Cpanel, you have to let Cpanel compile your GD. If you don't know how this works, ask professional support.
Same goes for Directadmin and Plesk.

2.) Use the yum install php-gd command I gave you.
if that command does not work, use the yum install gd command I gave earlier.

3.) /etc/rc.d/init.d/httpd restart
or
/sbin/service httpd restart

I'm going to sleep now, it's 04.12 AM over here, if you want me to fix it for you, I would be glad to help you. Send me a pm and I fix it for you tomorrow afternoon.
Thats somewhere around 14.00-15.00 GMT+1, so in about 10 hours from now. I do need login credentials then.
__________________
Greetings, Black Tiger
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 09:14.

Layout Options | Width: Wide Color: